Bug 190582 - Review Request: perl-Module-ScanDeps - Recursively scan Perl code for dependencies
Review Request: perl-Module-ScanDeps - Recursively scan Perl code for depende...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
: 190935 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 190937
  Show dependency treegraph
 
Reported: 2006-05-03 15:04 EDT by Jose Pedro Oliveira
Modified: 2011-01-19 04:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-08 17:04:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-05-03 15:04:38 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Module-ScanDeps.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Module-ScanDeps-0.59-1.src.rpm

Description:
An application of Module::ScanDeps is to generate executables from scripts
that contains necessary modules; this module supports two such projects,
PAR and App::Packer.  Please see their respective documentations on CPAN
for further information.
Comment 1 Jose Pedro Oliveira 2006-05-06 17:31:25 EDT
*** Bug 190935 has been marked as a duplicate of this bug. ***
Comment 2 Jason Tibbitts 2006-05-07 16:28:13 EDT
The source URL seems wrong (or at least I can't fetch the upstream source from
there).  I could get it from:
http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/Module-ScanDeps-0.59.tar.gz
which I'll assume is the correct upstream.

The module puts an executable with a .pl extension into bindir.  I agree with
Steve that this is a bit ugly but as far as I know it's not a blocker.  (My own
denyhosts package drops denyhosts.py into bindir so I can't really complain.)

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
follows the Perl specfile template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   6e20e368ff101d8bc8f31eaa2d81c264  Module-ScanDeps-0.59.tar.gz
   6e20e368ff101d8bc8f31eaa2d81c264  Module-ScanDeps-0.59.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=20,  2 wallclock secs ( 2.38 cusr +  0.32 csys =  2.70 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED, but please double check the source URL and fix if necessary.
Comment 3 Jose Pedro Oliveira 2006-05-07 17:09:00 EDT
(In reply to comment #2)
> The source URL seems wrong (or at least I can't fetch the upstream source from
> there).  I could get it from:
> http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/Module-ScanDeps-0.59.tar.gz
> which I'll assume is the correct upstream.

I failed to catch the change of the maintainer. I will correct the URL after
importing it. Thanks.
Comment 4 Jose Pedro Oliveira 2006-05-08 17:04:56 EDT
Thanks for the review.

Imported and built for FC-4, FC-5, and devel.
Comment 5 Steven Pritchard 2007-12-18 15:29:31 EST
Package Change Request
======================
Package Name: perl-Module-ScanDeps
New Branches: EL-4 EL-5
Comment 6 Kevin Fenzi 2007-12-18 21:12:19 EST
cvs done.
Comment 7 Mathieu Bridon 2011-01-19 04:15:54 EST
This package is in EPEL5, but not in EPEL6. Is there any reason for that?

I would like to see this package in EPEL6, and I am willing to help co-maintain it.
Comment 8 Mathieu Bridon 2011-01-19 04:41:10 EST
Nevermind, I just saw it's in the RHEL6 Client repository (I was only looking at the Server one).

Sorry for the spam.

Note You need to log in before you can comment on or make changes to this bug.